%define api 0
%define	major 2
%define libname	%mklibname %{name} %{api} %{major}
%define develname %mklibname %{name} -d

Summary:	YAML 1.1 parser and emitter written in C
Name:		yaml
Version:	0.2.5
Release:	%mkrel 1
License:	MIT
Group:		System/Libraries
URL:		https://github.com/yaml/libyaml
Source0:	https://github.com/yaml/libyaml/releases/download/%{version}/yaml-%{version}.tar.gz

%description
LibYAML is a YAML 1.1 parser and emitter written in C.

%package -n	%{libname}
Summary:	YAML 1.1 parser and emitter written in C
Group:          System/Libraries
BuildRequires:	doxygen

%description -n	%{libname}
This package contains the shared libraries for %{name}

%package -n	%{develname}
Summary:	Development library and header files for the %{name} library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Conflicts:	%{_lib}yaml0_2 < 0.1.4-4
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This package contains the static %{libname} library and its header
files.

%prep
%setup -q
%autopatch -p1

%build
%configure --disable-static
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc ReadMe.md
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/*.h
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/yaml-0.1.pc


%changelog
* Thu Dec 31 2020 luigiwalser <luigiwalser> 0.2.5-1.mga8
+ Revision: 1666675
- 0.2.5
- update URLs

* Mon Feb 17 2020 umeabot <umeabot> 0.2.1-3.mga8
+ Revision: 1537504
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Dec 25 2018 wally <wally> 0.2.1-2.mga8
+ Revision: 1344961
- add libyaml-devel provides to devel pkg

* Fri Oct 12 2018 daviddavid <daviddavid> 0.2.1-1.mga7
+ Revision: 1319757
- new version: 0.2.1

* Sun Sep 23 2018 umeabot <umeabot> 0.1.7-2.mga7
+ Revision: 1302018
- Mageia 7 Mass Rebuild

* Sat Oct 29 2016 akien <akien> 0.1.7-1.mga6
+ Revision: 1064037
- Version 0.1.7 (upstreams CVE-2014-9130 fix)

* Fri Feb 12 2016 umeabot <umeabot> 0.1.6-6.mga6
+ Revision: 959353
- Mageia 6 Mass Rebuild

* Mon Aug 24 2015 joequant <joequant> 0.1.6-5.mga6
+ Revision: 868908
- rebuild for gcc 5.2

* Sat Nov 29 2014 luigiwalser <luigiwalser> 0.1.6-4.mga5
+ Revision: 799891
- add upstream patch to remove assertion to fix CVE-2014-9130

* Wed Oct 15 2014 umeabot <umeabot> 0.1.6-3.mga5
+ Revision: 740504
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.6-2.mga5
+ Revision: 690824
- Mageia 5 Mass Rebuild

* Thu Mar 27 2014 spuhler <spuhler> 0.1.6-1.mga5
+ Revision: 609009
- upgrade to ver. 0.1.6
  * fixes bug #13101, CVE-2014-2525

* Wed Feb 05 2014 spuhler <spuhler> 0.1.5-1.mga5
+ Revision: 583502
- upgrade to ver. 0.1.5
 * fixes bug #12583 CVE-2013-6393

* Fri Oct 18 2013 umeabot <umeabot> 0.1.4-7.mga4
+ Revision: 521197
- Mageia 4 Mass Rebuild

* Fri Jan 18 2013 fwang <fwang> 0.1.4-6.mga3
+ Revision: 389275
- rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.1.4-5.mga3.nonfree
+ Revision: 387546
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 0.1.4-4.mga3
+ Revision: 313260
- move .pc file into devel package

* Sun Nov 20 2011 dmorgan <dmorgan> 0.1.4-3.mga3
+ Revision: 169873
- Remove .*a files

* Sun Sep 18 2011 spuhler <spuhler> 0.1.4-2.mga2
+ Revision: 145169
- remove source 0.1.3
- added Buildrequires: doxygen

* Sun Sep 18 2011 spuhler <spuhler> 0.1.4-1.mga2
+ Revision: 145154
- added source 0.1.4
- update to 0.1.4

* Sat Feb 26 2011 eandry <eandry> 0.1.3-3.mga1
+ Revision: 60827
- drop buildroot and old conditionnal
- imported package yaml


* Sat Dec 04 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.3-2mdv2011.0
+ Revision: 608248
- rebuild

* Wed Dec 02 2009 Funda Wang <fwang@mandriva.org> 0.1.3-1mdv2010.1
+ Revision: 472662
- new version 0.1.3

* Fri Jan 02 2009 Funda Wang <fwang@mandriva.org> 0.1.2-1mdv2009.1
+ Revision: 323259
- New version 0.1.2

* Sat Oct 11 2008 Funda Wang <fwang@mandriva.org> 0.1.1-1mdv2009.1
+ Revision: 291751
- import yaml


